summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dominik Drobek <dominik.drobek@o2.pl>2017-04-14 16:09:34 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-14 16:09:34 +0700
commit1a3deafcffa1fd21b65d78c2cbfd49799d112cf0 (patch)
tree3ce26fb7359ffec65c9bcee49c84bb6d1e768a52 /games
parent9cd42f2943150bdc573c4b89e2878b5ca4f09f68 (diff)
downloadslackbuilds-1a3deafcffa1fd21b65d78c2cbfd49799d112cf0.tar.gz
slackbuilds-1a3deafcffa1fd21b65d78c2cbfd49799d112cf0.tar.xz
games/OpenXcom: Updated for version 20170322_0020.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/OpenXcom/OpenXcom.SlackBuild22
-rw-r--r--games/OpenXcom/OpenXcom.info6
-rw-r--r--games/OpenXcom/openxcom.688
-rw-r--r--games/OpenXcom/openxcom.6.gzbin966 -> 0 bytes
4 files changed, 103 insertions, 13 deletions
diff --git a/games/OpenXcom/OpenXcom.SlackBuild b/games/OpenXcom/OpenXcom.SlackBuild
index 972658a805..cf82a25ac1 100644
--- a/games/OpenXcom/OpenXcom.SlackBuild
+++ b/games/OpenXcom/OpenXcom.SlackBuild
@@ -2,8 +2,8 @@
# Slackware build script for OpenXcom
-# Copyright 2016 Dominik Drobek <dominik.drobek (at) o2.pl>
# Copyright 2014-2016 Dimitris Zlatanidis Orestiada, Greece
+# Copyright 2016-2017 Dominik Drobek <dominik.drobek (at) o2.pl>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=OpenXcom
-VERSION=${VERSION:-20161115_2133}
-COMMIT="02a8d1336a8db33bbd64133e81e83450485b5c03"
+VERSION=${VERSION:-20170322_0020}
+COMMIT="3f242f38806d5b8786da2966cf20ffc629d2e47a"
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,7 +62,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$COMMIT
-tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz || tar xvf $CWD/$COMMIT.tar.gz
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz
cd $PRGNAM-$COMMIT
chown -R root:root .
find -L . \
@@ -78,22 +78,24 @@ mkdir -p build
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
+ -DOPENXCOM_VERSION_STRING=".$(echo $COMMIT | cut -c -7)" \
-DCMAKE_BUILD_TYPE=Release ..
make
make install DESTDIR=$PKG
)
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
mkdir -p $PKG/usr/share/applications
install -D -m644 res/linux/${PRGNAM,,}.desktop $PKG/usr/share/applications/${PRGNAM,,}.desktop
-
mkdir -p $PKG/usr/share/pixmaps/
install -D -m644 res/linux/icons/${PRGNAM,,}_48x48.png $PKG/usr/share/pixmaps/${PRGNAM,,}.png
-
mkdir -p $PKG/usr/man/man6
-install -D -m0644 $CWD/${PRGNAM,,}.6.gz $PKG/usr/man/man6/${PRGNAM,,}.6.gz
+install -D -m0644 $CWD/${PRGNAM,,}.6 $PKG/usr/man/man6/${PRGNAM,,}.6
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CHANGELOG.txt LICENSE.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/games/OpenXcom/OpenXcom.info b/games/OpenXcom/OpenXcom.info
index 6bed3f0bb3..dbc1a33455 100644
--- a/games/OpenXcom/OpenXcom.info
+++ b/games/OpenXcom/OpenXcom.info
@@ -1,8 +1,8 @@
PRGNAM="OpenXcom"
-VERSION="20161115_2133"
+VERSION="20170322_0020"
HOMEPAGE="http://openxcom.org"
-DOWNLOAD="https://github.com/SupSuper/OpenXcom/archive/02a8d1336a8db33bbd64133e81e83450485b5c03.tar.gz"
-MD5SUM="be2fd6ee2f4ec35196f415a90c4b3f07"
+DOWNLOAD="https://github.com/SupSuper/OpenXcom/archive/3f242f38806d5b8786da2966cf20ffc629d2e47a/OpenXcom-3f242f38806d5b8786da2966cf20ffc629d2e47a.tar.gz"
+MD5SUM="f82b6b9e75959f4e781936972cb78d59"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="yaml-cpp SDL_gfx"
diff --git a/games/OpenXcom/openxcom.6 b/games/OpenXcom/openxcom.6
new file mode 100644
index 0000000000..3be4f320fa
--- /dev/null
+++ b/games/OpenXcom/openxcom.6
@@ -0,0 +1,88 @@
+'\" t
+.\" Title: openxcom
+.\" Author: [see the "AUTHOR" section]
+.\" Generator: DocBook XSL Stylesheets v1.76.1 <http://docbook.sf.net/>
+.\" Date: 2014.06.12
+.\" Manual: User\*(Aqs Manual
+.\" Source: 1.0
+.\" Language: English
+.\"
+.TH "OPENXCOM" "6" "2014\&.06\&.12" "1\&.0" "User\*(Aqs Manual"
+.\" -----------------------------------------------------------------
+.\" * Define some portability stuff
+.\" -----------------------------------------------------------------
+.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+.\" http://bugs.debian.org/507673
+.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
+.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+.ie \n(.g .ds Aq \(aq
+.el .ds Aq '
+.\" -----------------------------------------------------------------
+.\" * set default formatting
+.\" -----------------------------------------------------------------
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.\" -----------------------------------------------------------------
+.\" * MAIN CONTENT STARTS HERE *
+.\" -----------------------------------------------------------------
+.SH "NAME"
+openxcom \- An open\-source clone of the original "UFO: Enemy Unknown"
+.SH "SYNOPSIS"
+.HP \w'\fBopenxcom\fR\ 'u
+\fBopenxcom\fR [\fIOPTIONS\fR]
+.SH "DESCRIPTION"
+.PP
+
+\fBopenxcom\fR
+is an open\-source clone of the popular UFO: Enemy Unknown (X\-Com: UFO Defense in USA) videogame by Microprose, licensed under the GPL and written in C++ / SDL\&.
+.SH "OPTIONS"
+.PP
+\fB\-data\fR \fIPATH\fR
+.RS 4
+use
+\fIPATH\fR
+as the default Data Folder instead of auto\-detecting
+.RE
+.PP
+\fB\-user\fR \fIPATH\fR
+.RS 4
+use
+\fIPATH\fR
+as the default User Folder instead of auto\-detecting
+.RE
+.PP
+\fB\-cfg\fR \fIPATH\fR
+.RS 4
+use
+\fIPATH\fR
+as the default Config Folder instead of auto\-detecting
+.RE
+.PP
+\fB\-\fR\fB\fIKEY\fR\fR \fIVALUE\fR
+.RS 4
+set option
+\fIKEY\fR
+to
+\fIVALUE\fR
+instead of default/loaded value (eg\&.
+\-displayWidth 640)
+.RE
+.PP
+\fB\-help\fR, \fB\-?\fR
+.RS 4
+show command\-line help
+.RE
+.SH "AUTHOR"
+.PP
+OpenXcom Developers
+.SH "SEE ALSO"
+.PP
+
+\m[blue]\fB\%http://openxcom.org\fR\m[],
+\m[blue]\fB\%http://ufopaedia.org/index.php?title=OpenXcom\fR\m[]
+.SH "COPYRIGHT"
+.br
+Copyright \(co 2014 OpenXcom Developers
+.br
diff --git a/games/OpenXcom/openxcom.6.gz b/games/OpenXcom/openxcom.6.gz
deleted file mode 100644
index 7d0a5c7e1e..0000000000
--- a/games/OpenXcom/openxcom.6.gz
+++ /dev/null
Binary files differ